<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>The House of Lost Horizons: A Sarah Jewell Mystery</Series>
  <Number>2</Number>
  <Web>https://www.comixology.com/The-House-of-Lost-Horizons-A-Sarah-Jewell-Mystery-2/digital-comic/943971</Web>
  <Summary>The murder mystery continues after another body is discovered! The remaining guests on the storm-ravaged island wake from the same eerie nightmare to find that one of them has been the next victim of a brutal killing! But Sarah and Marie-Therese are starting to suspect that there may be more than one murderer afoot. Who is the killer, and if they're not discovered, who might they target next? Mike Mignola and Chris Roberson return to the world of Hellboy, accompanied by artist Leila del Duca and colorist Michelle Madsen for this second installment of the new Mignolaverse mystery.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB943971], [ASINB094YRVQQB]</Notes>
  <Publisher>Dark Horse</Publisher>
  <Genre>Horror, Crime</Genre>
  <PageCount>22</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
